Is there something like Sublime's NodeRequirer in atom?


#1

Hey there,

This package to easily require node modules has recently become one of my favorite in sublime: https://github.com/ganemone/NodeRequirer

It would be awesome if there was something akin to it in Atom. Any chance this already exists? (And I know there are some require helpers that autocomplete paths, but I really like the Require => Dropdown of all Possible Requires functionality)

Thanks!
Thomas


#2

I don’t know about pure Javascript or Coffeescript, but the atom-typescript does much of that. It’s kind of nice for what I’ve used of it (though, most of the time, I’m just copy/pasting the previous file’s stuff).


#3

I went ahead and ported it!: https://github.com/tnrich/atom-node-requirer